OpenIsle Docs
API 概览
List posts GET Create post POST
React to post POST
Api
Posts
Postid
Reactions

# React to post

React to a post

POST
/`api`/`posts`/`{postId}`/`reactions`

## Authorization

Authorization Bearer <token>

In: `header`

## Path Parameters

postId integer
Format `int64`

## Request Body

type?string
Value in`"LIKE" | "DISLIKE" | "SMILE" | "RECOMMEND" | "CONGRATULATIONS" | "ANGRY" | "FLUSHED" | "STAR_STRUCK" | "ROFL" | "HOLDING_BACK_TEARS" | "MIND_BLOWN" | "POOP" | "CLOWN" | "SKULL" | "FIRE" | "EYES" | "FROWN" | "HOT" | "EAGLE" | "SPIDER" | "BAT" | "CHINA" | "USA" | "JAPAN" | "KOREA"`

## Response Body

###

    curl -X POST "https://www.open-isle.com/api/posts/0/reactions" \  -H "Content-Type: application/json" \  -d '{}'

    {
      "id": 0,
      "type": "LIKE",
      "user": "string",
      "postId": 0,
      "commentId": 0,
      "messageId": 0,
      "reward": 0
    }

Donate POST

Previous Page

Ranking posts GET

Next Page

    curl -X POST "https://www.open-isle.com/api/posts/0/reactions" \
      -H "Content-Type: application/json" \
      -d '{}'